Package org.optaplanner.benchmark.impl.statistic

## Class PureSubSingleStatistic<Solution_,​StatisticPoint_ extends StatisticPoint>

- java.lang.Object
- - org.optaplanner.benchmark.impl.statistic.SubSingleStatistic<Solution_,​StatisticPoint_>
  - - org.optaplanner.benchmark.impl.statistic.PureSubSingleStatistic<Solution_,​StatisticPoint_>

- Direct Known Subclasses:
    `ConstraintMatchTotalBestScoreSubSingleStatistic`, `ConstraintMatchTotalStepScoreSubSingleStatistic`, `PickedMoveTypeBestScoreDiffSubSingleStatistic`, `PickedMoveTypeStepScoreDiffSubSingleStatistic`

      public abstract class PureSubSingleStatistic<Solution_,​StatisticPoint_ extends StatisticPoint>
      extends SubSingleStatistic<Solution_,​StatisticPoint_>

  1 statistic of `SubSingleBenchmarkResult`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected SingleStatisticType` | `singleStatisticType` |

    - ### Fields inherited from class org.optaplanner.benchmark.impl.statistic.SubSingleStatistic

      `logger, pointList, subSingleBenchmarkResult`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `PureSubSingleStatistic​(SubSingleBenchmarkResult subSingleBenchmarkResult, SingleStatisticType singleStatisticType)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `File` | `getGraphFile()` |
    `abstract List<File>` | `getGraphFileList()` |
    `SingleStatisticType` | `getStatisticType()` |
    `String` | `toString()` |
    `protected File` | `writeChartToImageFile​(org.jfree.chart.JFreeChart chart, String fileNameBase)` |
    `abstract void` | `writeGraphFiles​(BenchmarkReport benchmarkReport)` |

    - ### Methods inherited from class org.optaplanner.benchmark.impl.statistic.SubSingleStatistic

      `close, createPointFromCsvLine, getAnchorId, getCsvFile, getCsvFileName, getCsvHeader, getPointList, getRelativeCsvFilePath, getSubSingleBenchmarkResult, hibernatePointList, initPointList, open, setPointList, setSubSingleBenchmarkResult, unhibernatePointList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### singleStatisticType

          protected final SingleStatisticType singleStatisticType

  - ### Constructor Detail

    - #### PureSubSingleStatistic

          protected PureSubSingleStatistic​(SubSingleBenchmarkResult subSingleBenchmarkResult,
                                           SingleStatisticType singleStatisticType)

  - ### Method Detail

    - #### getStatisticType

          public SingleStatisticType getStatisticType()

      Specified by:
        `getStatisticType` in class `SubSingleStatistic<Solution_,​StatisticPoint_ extends StatisticPoint>`

    - #### writeGraphFiles

          public abstract void writeGraphFiles​(BenchmarkReport benchmarkReport)

    - #### writeChartToImageFile

          protected File writeChartToImageFile​(org.jfree.chart.JFreeChart chart,
                                               String fileNameBase)

    - #### getGraphFile

          public File getGraphFile()

    - #### getGraphFileList

          public abstract List<File> getGraphFileList()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`